# -*- coding: utf-8 -*-

"""
Mocks for components checked with component and integration tests.

Main goal of such mocks - is to provide the "fake" component that behaves exactly the same as original one, but without
heavy operations or external calls (web api or external applications). Mocked components might be used in other tests to
isolate them from the external world, and to also have some additional speed up.

Ideally, these mocks should also be tested with the same component and integration tests. These would allow verifying
their behavior, and thus verify tests that use mocks instead of original components.
"""

from .cloud_api import *
